## ros-iron-plansys2-pddl-parser 2.0.11

=== test/CMakeLists.txt ===
ament_add_gtest(pddl_parser_test pddl_parser_test.cpp TIMEOUT 120)
ament_target_dependencies(pddl_parser_test ${dependencies})
target_link_libraries(pddl_parser_test plansys2_pddl_parser)

install(DIRECTORY
  pddl
  DESTINATION share/${PROJECT_NAME}
)
