=== debian/changelog ===
ros-iron-plansys2-pddl-parser (2.0.11-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.10-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/humble-devel'
  * Merge pull request #238 <https://github.com/PlanSys2/ros2_planning_system/issues/238> from roveri-marco/fix_goal_structure_issue_205
    Fix goal structure issue 205
  * Merge pull request #246 <https://github.com/PlanSys2/ros2_planning_system/issues/246> from pac48/fix-not-regex-in-parser-utils
    Fix regex for 'not', 'and', 'or' in parser utils
  * fix regex for 'and' and 'or'
  * fix regex for NOT
  * Removed debug code
  * Fixed support for complex goals and other changes
  * Fixed some errors and some tests to comply with the revised output
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Fixed support for the complex goal parsing both from the terminal and from file
  * Merge remote-tracking branch 'upstream/master'
  * Contributors: Francisco Martín Rico, Marco Roveri, Paul Gesel, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.9-1jammy) jammy; urgency=high

  * Humble Upgrade
  * Update popf checker interface
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.8-1jammy) jammy; urgency=high

  * Add missing dependency
  * Contributors: Francisco Martín Rico
  * Add missing dependency
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.7-1jammy) jammy; urgency=high

  * Add missing dependency
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.6-1jammy) jammy; urgency=high

  * Fix deps
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.5-1jammy) jammy; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.2-1jammy) jammy; urgency=high

  * Full supportr for (= _ _) PDDL constraints, added possibility to refer to constants, added initial test cases
  * fix-getSubtrees: Removing empty line.
  * fix-getSubtrees: Fixing bug in getSubtrees function in Utils.cpp.
  * set_decimal_precision: Use std::setprecision to avoid incompatible scientific notation.
  * [pddl_parser] ground constants also when no replace values
  * [pddl_parser] account for pddl-constants while replacing ground params
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf, Marco Roveri, Mostafa Gomaa

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.1-1jammy) jammy; urgency=high

  * remove-invalid-goals: Removing invalid goals when instances are removed. Keep track of update time in problem expert.
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-iron-plansys2-pddl-parser (2.0.0-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-iron-plansys2-pddl-parser (1.0.10-1jammy) jammy; urgency=high

  * Solves error "error: 'bind' is not a member of 'std'"
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Adding a couple more utility functions to plansys2_pddl_parser.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Adding support for PDDL addition and subtraction expressions. Courtesy of @jjzapf
  * Plansys2_tests package
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf, mailto:mfernandezcarmona@lincoln.ac.uk

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-iron-plansys2-pddl-parser (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-iron-plansys2-pddl-parser (1.0.8-1jammy) jammy; urgency=high

  * Adding unit tests for the Utils file. Fixing bug in plansys2_pddl_parser when getting predicate or function name that has no params it used to include the closing parenthesis in the name, which was incorrect. Making truth value false for expression arithmetic variants. fixing bug: not applying function modifier if trying to divide by zero.
  * Add support for numeric conditions and effects.
  * Contributors: Alexander Xydes, Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-iron-plansys2-pddl-parser (1.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000


