=== debian/control ===
Source: ros-iron-plansys2-pddl-parser
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-plansys2-msgs, ros-iron-rclcpp, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-pddl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-plansys2-msgs, ros-iron-rclcpp, ros-iron-std-msgs, ros-iron-ros-workspace
Description: This package contains a library for parsing PDDL domains and problems.
 This package derives from the work of Anders Jonsson, contained in https://github.com/wisdompoet/universal-pddl-parser.git with many modifications by Francisco Martin: * ROS2 packaging * Source code structure refactor * CMakeLists.txt for cmake compilation * Reading from String instead of files * Licensing
